Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.drm
Class SecurityAccess

    java.lang.Object
      org.deegree.security.drm.SecurityAccess

Direct Known Subclasses:
  SecurityTransaction

    public class SecurityAccess

extends Object

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`protected SecurityRegistry` | `registry`
`protected User` | `user`

Constructor Summary
`SecurityAccess(User user, SecurityRegistry registry)`

Method Summary
`protected void` | `checkForPrivilege(Privilege privilege)` Checks if the associated `User` has a certain `Privilege`.
`protected void` | `checkForRight(RightType right, SecurableObject object)` Checks if the associated `User` has a certain `Right` on the given `SecurableObject`.
`Group[]` | `findGroupCycle()` Tries to find a cyle in the groups relations of the `Registry`.
`Group[]` | `getAllGroups()`
`Role[]` | `getAllRoles()` Retrieves all `Role` s from the `Registry`, except those that are only used internally (these have a namespace starting with the $ symbol);
`Role[]` | `getAllRolesForGroup(Group group)` Returns all `Role` s that the given `Group` is associated with (directly and via group memberships).
`Role[]` | `getAllRolesForUser(User user)` Returns all `Role` s that the given `User` is associated with (directly and via group memberships).
`SecuredObject[]` | `getAllSecuredObjects(String type)`
`LinkedList<Service>` | `getAllServices()`
`User[]` | `getAllUsers()`
`Group` | `getGroupById(int id)`
`Group` | `getGroupByName(String name)`
`Privilege` | `getPrivilegeByName(String name)`
`RightType` | `getRightByName(String name)`
`Role` | `getRoleById(int id)`
`Role` | `getRoleByName(String name)`
`Role[]` | `getRolesByNS(String ns)`
`SecuredObject` | `getSecuredObjectById(int id)`
`SecuredObject` | `getSecuredObjectByName(String name, String type)`
`SecuredObject[]` | `getSecuredObjectsByNS(String ns, String type)`
`Service` | `getServiceByAddress(String address)`
`User` | `getUser()`
`User` | `getUserById(int id)`
`User` | `getUserByName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### user

    protected User user

### registry

    protected SecurityRegistry registry

Constructor Detail

### SecurityAccess

    SecurityAccess(User user,
                   SecurityRegistry registry)

Method Detail

### getUser

    public User getUser()

  Returns:
    probably the admin user

### getUserByName

    public User getUserByName(String name)
                       throws GeneralSecurityException

  Parameters:
    `name` -
  Returns:
    the user
  Throws:
    `GeneralSecurityException`

### getUserById

    public User getUserById(int id)
                     throws GeneralSecurityException

  Parameters:
    `id` -
  Returns:
    the user
  Throws:
    `GeneralSecurityException`

### getGroupByName

    public Group getGroupByName(String name)
                         throws GeneralSecurityException

  Parameters:
    `name` -
  Returns:
    the group
  Throws:
    `GeneralSecurityException`

### getGroupById

    public Group getGroupById(int id)
                       throws GeneralSecurityException

  Parameters:
    `id` -
  Returns:
    the group
  Throws:
    `GeneralSecurityException`

### getRoleByName

    public Role getRoleByName(String name)
                       throws GeneralSecurityException

  Parameters:
    `name` -
  Returns:
    the role
  Throws:
    `GeneralSecurityException`

### getRolesByNS

    public Role[] getRolesByNS(String ns)
                        throws GeneralSecurityException

  Parameters:
    `ns` -
  Returns:
    the roles
  Throws:
    `GeneralSecurityException`

### getRoleById

    public Role getRoleById(int id)
                     throws GeneralSecurityException

  Parameters:
    `id` -
  Returns:
    the role
  Throws:
    `GeneralSecurityException`

### getRightByName

    public RightType getRightByName(String name)
                             throws GeneralSecurityException

  Parameters:
    `name` -
  Returns:
    the right
  Throws:
    `GeneralSecurityException`

### getPrivilegeByName

    public Privilege getPrivilegeByName(String name)
                                 throws GeneralSecurityException

  Parameters:
    `name` -
  Returns:
    the privilege
  Throws:
    `GeneralSecurityException`

### getSecuredObjectById

    public SecuredObject getSecuredObjectById(int id)
                                       throws GeneralSecurityException

  Parameters:
    `id` -
  Returns:
    the object
  Throws:
    `GeneralSecurityException`

### getSecuredObjectByName

    public SecuredObject getSecuredObjectByName(String name,
                                                String type)
                                         throws GeneralSecurityException

  Parameters:
    `name` -
    `type` -
  Returns:
    the object
  Throws:
    `GeneralSecurityException`

### getSecuredObjectsByNS

    public SecuredObject[] getSecuredObjectsByNS(String ns,
                                                 String type)
                                          throws GeneralSecurityException

  Parameters:
    `ns` -
    `type` -
  Returns:
    the objects
  Throws:
    `GeneralSecurityException`

### getAllUsers

    public User[] getAllUsers()
                       throws GeneralSecurityException

  Returns:
    the users
  Throws:
    `GeneralSecurityException`

### getAllGroups

    public Group[] getAllGroups()
                         throws GeneralSecurityException

  Returns:
    all groups
  Throws:
    `GeneralSecurityException`

### getAllSecuredObjects

    public SecuredObject[] getAllSecuredObjects(String type)
                                         throws GeneralSecurityException

  Parameters:
    `type` -
  Returns:
    all secured objects
  Throws:
    `GeneralSecurityException`

### getAllRoles

    public Role[] getAllRoles()
                       throws GeneralSecurityException

  Retrieves all `Role` s from the `Registry`, except those that are only used internally (these have a namespace starting with the $ symbol);

  Returns:
    all roles
  Throws:
    `GeneralSecurityException`

### getAllRolesForUser

    public Role[] getAllRolesForUser(User user)
                              throws GeneralSecurityException

  Returns all `Role` s that the given `User` is associated with (directly and via group memberships).

  Parameters:
    `user` -
  Returns:
    all his roles
  Throws:
    `GeneralSecurityException`

### getAllRolesForGroup

    public Role[] getAllRolesForGroup(Group group)
                               throws GeneralSecurityException

  Returns all `Role` s that the given `Group` is associated with (directly and via group memberships).

  Parameters:
    `group` -
  Returns:
    all their roles
  Throws:
    `GeneralSecurityException`

### findGroupCycle

    public Group[] findGroupCycle()
                           throws GeneralSecurityException

  Tries to find a cyle in the groups relations of the `Registry`.

  Returns:
    indicates the cycle's nodes (groups)
  Throws:
    `GeneralSecurityException`

### checkForPrivilege

    protected void checkForPrivilege(Privilege privilege)
                              throws GeneralSecurityException

  Checks if the associated `User` has a certain `Privilege`.

  Parameters:
    `privilege` -
  Throws:
    `GeneralSecurityException` - if holder does not have the privilege

### checkForRight

    protected void checkForRight(RightType right,
                                 SecurableObject object)
                          throws UnauthorizedException,
                                 GeneralSecurityException

  Checks if the associated `User` has a certain `Right` on the given `SecurableObject`.

  Parameters:
    `right` -
    `object` -
  Throws:
    `GeneralSecurityException` - this is a UnauthorizedException if the holder does not have the right
    `UnauthorizedException`

### getServiceByAddress

    public Service getServiceByAddress(String address)
                                throws GeneralSecurityException

  Parameters:
    `address` -
  Returns:
    the service
  Throws:
    `GeneralSecurityException`

### getAllServices

    public LinkedList<Service> getAllServices()
                                       throws GeneralSecurityException

  Returns:
    all services
  Throws:
    `GeneralSecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org